Package ru.bitel.bgbilling.modules.payonline.server.bean

# Class RebillWorker

java.lang.Object
java.lang.Thread
ru.bitel.bgbilling.modules.payonline.server.bean.RebillWorker

All Implemented Interfaces:
  `Runnable`

public class RebillWorker extends Thread

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Thread

  `Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CURRENCY`
  Валюта платежа

  ### Fields inherited from class java.lang.Thread

  `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RebillWorker()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `init(int mid, String rebillUrl, String merchantId, String privateSecKey, List<Rebill> rebillTransactionList)`
  `void`
  `rebillPay(Rebill payOnlineRebill)`
  Производит попытку оплаты по протоколу Rebill.
  `void`
  `run()`

  ### Methods inherited from class java.lang.Thread

  `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, suspend, threadId, toString, yield`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CURRENCY

    public static final String CURRENCY
    Валюта платежа
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RebillWorker

    public RebillWorker()

- ## Method Details

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`
    Overrides:
      `run` in class `Thread`

  - ### init

    public void init(int mid, String rebillUrl, String merchantId, String privateSecKey, List<Rebill> rebillTransactionList)

  - ### rebillPay

    public void rebillPay(Rebill payOnlineRebill) throws ru.bitel.bgbilling.common.BGException
    Производит попытку оплаты по протоколу Rebill.
    Parameters:
      `payOnlineRebill` - - автоплатеж
    Throws:
      `ru.bitel.bgbilling.common.BGException`